# Key Dates

## Key Dates
For most case types, configuration revolves around 'key dates' and you
specify when you want a reminder task to be created relative to these key
dates:

```
GET /case-type/{caseTypeId}

// returns something like...

{
        "caseType": "militaryDuty",
        // <other fields ...>
        "smartReviews": {
                "enable": true,
                "config": {
                        "keyDates": {
                                "dutyStartDate": 0,
                                "dutyEndDate": 0,
                        }
                }
        }
}
```
Key dates offsets can be expressed as an integer or array of
integers. Whenever `(keyDateFieldValue + offset) == today`, then a review
task will be created. That is:
- For an offset of 0, create a task on the key date
- For an offset of -1, create a task the day before the key date
- For an offset of 1, create a task the day after the key date

and so on. This math is based on calendar days and not business days.
The following is a list of base case types that use key dates and their
supported key date fields:
- `bankruptcy`
  - `courtCaseClosedDate`
  - `creditorClaimDeadlineDate`
  - `anticipatedCaseCompletionDate`
- `creditBureauDispute`
  - `responseDueDate`
- `debtValidation`
  - `requestDate`
- `deceased`
  - `deceasedNoticeReceivedDate`
- `disputeOfDebt`
  - `noticeReceivedDate`
- `identityTheft`
  - `reportReceivedDate`
- `legalAction`
  - `legalActionIntiatedDate`
  - `legalJudgementEffectiveDate`
- `militaryDuty`
  - `dutyStartDate`
  - `dutyEndDate`

Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader
